/*
**	Trace Flag definition
*/

# ifdef __REQUIRED__

version.h

# endif

# if 0
VERS____( Trace Flag definition, Liv/Krz/Sei,  93/04/01)
# endif


/******************************************************************************
:++
:HEADER_FILE		"promtrace.h"		"Trace Switches / TRC_BASE"

:PURPOSE

Definition der Switches f"ur die globale Variable 'trc_trace.' Die Switches
sind zum Steuern von Trace Outputs gedacht. Sie k"onnen mit dem
Test"\schal"\ter '/HELP' angezeigt werden.

:para
Definition der Class 'TRC_BASE,' die in C++ als Basis Class f"ur eigene
Classes benutzt werden kann und soll. Hierdurch werden virtuelle
Memberfunktionen 'trc_name' und 'trc_dump' bereitgestellt, die von Monitor
Kommandos wie dem Linked List Anzeiger 'list_chain' genutzt werden k"onnen.
Als Name wird defaultm"a"sig die Adresse der Datenstruktur und als Dump ein 64
Byte langer HEX Dump mitgeliefert. Der Benutzer kann durch "Uberlagern dieser
Funktionen einen semantisch sinnvollen Namen und eine eigene Darstellung der
Daten bereitstellen.

:ENDPURPOSE
:--
******************************************************************************/
/*P*/
/*
**	trace flags
*/

# define TRC_DUMP		0x00000001L
# define TRC_EXC		0x00000002L
# define TRC_BSC		0x00000004L
# define TRC_BSX		0x00000008L
# define TRC_DBTEL		0x00000010L
# define TRC_DBCMD		0x00000020L
# define TRC_DBOP		0x00000040L
# define TRC_DBORG		0x00000080L
# define TRC_CLB		0x00000100L
# define TRC_DEV		0x00000200L
# define TRC_A1000		0x00001000L
# define TRC_A2000		0x00002000L
# define TRC_A4000		0x00004000L
# define TRC_A8000		0x00008000L

# define TRC_MALLOC		0x40000000L
# define TRC_LINKCHAIN		0x80000000L

GLOBAL DLLEXPORT unsigned long trc_trace;	/* debug trace flags 			*/


# if C_PLUSPLUS

class DLLEXPORT TRC_BASE
    {
public:
    virtual VOID trc_dump();	/* auto dump of structure		*/
    virtual VOID trc_name( TEXT *buffer, INT length);
				/* fill buffer with name		*/
    };

# endif

